Getting Malformed version number string with Puppet Enterprise 3.7.2

asked 2014-11-17 10:34:30 -0600

jzimmerman gravatar image

updated 2014-11-17 10:34:55 -0600

I have a test environment evaluating Puppet Enterprise. In this environment I upgraded all the packages in CentOS 6.6 via yum after a PE 3.4 deployment had been successfully upgraded to 3.7.

I updated some of my modules via librarian-puppet (all forge modules) and am not receiving the following error on puppet agent runs (below output is from the master).....

$ sudo /usr/local/bin/puppet agent -t
Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Error: Could not retrieve local facts: Malformed version number string 3.7.2 (Puppet Enterprise 3.7.0)
Error: Failed to apply catalog: Could not retrieve local facts: Malformed version number string 3.7.2 (Puppet Enterprise 3.7.0)

Any ideas on where to start troubleshooting? Anyone having or had a similar issue?

edit retag flag offensive close merge delete